use serde::Deserialize;

template_id!(MainCityBgmConfig u32 id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct MainCityBgmConfigTemplate {
    #[serde(rename = "ID")]
    pub id: MainCityBgmConfigID,
    pub play_event_name: String,
    pub state_name: String,
}
